<?php

/**
 * @file
 * Contains orejime_service.page.inc.
 *
 * Page callback for Orejime entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for Orejime templates.
 *
 * Default template: orejime_service.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_orejime_service(array &$variables) {
  // Fetch Orejime Entity Object.
  $orejime_service = $variables['elements']['#orejime_service'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {

    $variables['content'][$key] = $variables['elements'][$key];
  }
}
