<?php

namespace Drupal\orejime;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Renders JavaScript assets.
 */
class OrejimeServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    // Overrides language_manager class to test domain language negotiation.
    // Adds entity_type.manager service as an additional argument.
    $definition = $container->getDefinition('asset.js.collection_renderer');
    $definition->setClass('Drupal\orejime\Services\JsCollectionRendererOrejime');
  }

}
